Subject: Re: bug#5977: 24.0.50; Lao HELLO is incorrectly displayed

From: Peter Dyballa <[email-masked]>
Date: Sun, 25 Apr 2010 01:24:22 +0200

Am 24.04.2010 um 18:01 schrieb Eli Zaretskii:

>> The NS variant, although rendering really beautifully, shows with Lao
>> the same effects:
>>
>>  • entering the string by cursor movement no change in shape
>>  • entering by clicking with mouse or trackpad leads to shape changes
>>  • entering by clicking with mouse or trackpad "creates" the same
>> characters which swallow cursor movement
>>  • C-e somewhere on Lao line sends point to empty line over title
>> "LANGUAGE (NATIVE NAME)...."
>
> I don't see this effect on MS-Windows.  Can you try with revno 100027
> or later?

The last effect is gone in the updated NS variant.

>
>> Clicking into the Braille "Hello" does not change the Burmese  
>> greeting
>> below and the Burmese comment visibly but change the empty box on the
>> Arabic line into "n" *only* when I click on a new/different than
>> before character... The exactly same effect when clicking onto *any*
>> character!
>
> I don't see this, either.  Again, please try with revno 100027 or
> later, if you haven't already.

This is fixed in the NS variant. Now three new things appeared:

  • pressing (possibly) anywhere in the table before the  
"space" (between (60, 43) and (60, 44)) in the second Thai greeting  
changes the shape of the text right of the slash: it becomes more like  
one word
  • Arabic and Bengali line can merge to one line
  • when clicking on Arabic characters (19, 14), (19, 41), (7, 35)  
create effects like merging of lines or merging of columns
  • clicking onto characters from South Asia or South East Asia  
anywhere (head or table) changes nearby characters

The X client is compiling...

--
Greetings

   Pete

Mac OS X is like a wigwam: no fences, no gates, but an apache inside.